Skip to content

Create a product

POST
/products

Authorizations

bearerToken|siteContext
bearerToken

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

TypeHTTP (bearer)
+
siteContext

Identifier of the site context when authenticating with a personal access token.

TypeAPI Key (header: X-Nimbu-Site)
or
siteToken

Site-scoped API token that already encodes the site context.

TypeHTTP (bearer)

Request Body

application/json
JSON
{
"name": "string",
"slug": "string",
"description": "string",
"status": "string",
"scope": "string",
"price": 0,
"on_sale": true,
"on_sale_price": 0,
"checkout_profile_id": "string",
"tax_scheme_id": "string",
"tags": [
"string"
]
}

Responses

product created

application/json
JSON
{
"name": "string",
"digital": true,
"requires_shipping": true,
"weight": 0,
"sku": "string",
"created_at": "string",
"updated_at": "string",
"variants": [
{
}
],
"id": "string",
"url": "string",
"slug": "string",
"description": "string",
"type": "string",
"status": "string",
"scope": "string",
"price": 0,
"on_sale": true,
"on_sale_price": 0,
"variants_enabled": true,
"keep_stock": true,
"current_stock": 0,
"amount_in_cart": 0,
"amount_sold": 0,
"vendor": "string",
"checkout_profile_id": "string",
"charge_taxes": true,
"tax_scheme_id": "string",
"tags": [
"string"
],
"seo_title": "string",
"seo_description": "string",
"seo_keywords": "string",
"images": [
],
"featured_image": {
},
"sold_out_behaviour": "string",
"auto_enable": true,
"auto_enable_datetime": "string",
"auto_disable": true,
"auto_disable_datetime": "string",
"auto_hide": true,
"auto_hide_datetime": "string",
"requires_deposit": true,
"deposit_amount": 0,
"deposit_type": "string",
"collections": [
{
}
],
"aggregated": true,
"subproducts": {
},
"additionalProperties": "string"
}

Playground

Authorization
Body

Samples

Part of Nimbu, built by Zenjoy.